Subject: Re: Re: Re: RE: Installing cygwin gcc using sources
From: "Tim Prince" <[email-masked]>
To: "Deepak Shekhar" <[email-masked]>
Cc: <[email-masked]>
Date: Wed, 4 Jul 2001 10:55:37 -0700

You certainly need bring your cygwin installation current, both with the binaries and the source you are building.
----- Original Message ----- 
From: "Deepak Shekhar" <[email-masked]>
To: <[email-masked]>
Cc: <[email-masked]>
Sent: Tuesday, July 03, 2001 6:38 AM
Subject: Re: Re: Re: RE: Installing cygwin gcc using sources

> thanks for the information on "make bootstrap".
> But i tried "make bootstrap" after the configure but still it gives an error at the same point.
> Can u tell me the sequence odf commands i need to give??
> Is the following sequence correct??
> 
> 1)$../binutils-20010425-2/configure --enable-languages='c' --prefix=/home/deepak/exe -v
> 2)$make all (make bootstrap)
> 3)$make install
> 4)$../gcc-2.95.3-4/configure --enable-languages='c' --prefix=/home/deepak/exe -v
> 5)$make all (make bootstrap)
> 6)$make install
> 
> The cygwin on my machine is 6 months old. Do i need to install the latest version and give a try???
> 
> 
> ------------- Original Message --------------
> "Tim Prince" <[email-masked]> wrote:
> To:"Deepak Shekhar" <[email-masked]>
> From:"Tim Prince" <[email-masked]>
> Date:Mon, 2 Jul 2001 05:57:38 -0700
> Subject: Re: Re: RE: Installing cygwin gcc using sources
> 
> No, there isn't any separate documentation for cygwin.  The standard gcc
> documents apply, although they don't cover the configure flags for
> cygwin.  Yes, it may be possble to build the same or nearly the same
> version without bootstrap, but it's obviously risky.  With bootstrap,
> you rely only on the old gcc working without optimization, and you allow
> gcc to self-configure, subject to the flags you set yourself on
> configure.  You also get the advantage of the testing to see whether
> your new compiler produces the same results when built with and without
> optimization.
> 
> I assume that your keyword 'all' is ignored and doesn't cause any
> problems.
> ----- Original Message -----
> From: "Deepak Shekhar" <[email-masked]>
> To: <[email-masked]>
> Sent: Monday, July 02, 2001 2:43 AM
> Subject: Re: Re: RE: Installing cygwin gcc using sources
> 
> 
> >
> > can u tell more about what "make bootstrap" does.
> > I am not installing the entire cygwin from sources, but only "GCC".
> > Can u refer to me any document,if available, on installing "GCC" using
> sources on cygwin.
> >
> > I tried to install "GCC" from sources on linux platform and it works
> fine without "make bootstrap".
> > The packages I used on linux are binutils-2.10 and gcc-2.95.2.
> >
> > ------------- Original Message --------------
> > "Tim Prince" <[email-masked]> wrote:
> > To:<[email-masked]>, "deepak shekhar" <[email-masked]>
> > From:"Tim Prince" <[email-masked]>
> > Date:Sat, 30 Jun 2001 08:40:18 -0700
> > CC:<[email-masked]>
> > Subject: Re: RE: Installing cygwin gcc using sources
> >
> > Why are you skipping "make bootstrap" ?  I don't know whether the
> > configure flags used to build cygwin are documented, but I usually
> >
> use --with-included-gettext --enable-sjlj-exceptions --enable-languages=
> > 'c++,f77'.  David Billinghurst has been able to build objc and gcov as
> > well.
> > ----- Original Message -----
> > From: "deepak shekhar" <[email-masked]>
> > To: <[email-masked]>
> > Cc: <[email-masked]>
> > Sent: Saturday, June 30, 2001 4:23 AM
> > Subject: Re: RE: Installing cygwin gcc using sources
> >
> >
> > >
> > > Hi!
> > > yes i did try configure.
> > > First i run "configure" for binutils and did "make all" and "make
> > install".The uitlities in the binutils get installed .Then i tried
> > "configure" of gcc in the same path. The configure is fine. But when i
> > do a "make all" it throws an error message.
> > >
> > > Is it necessary that i have install new version of cygwin.I
> installed
> > cygwin some 6 months back.
> > >
> > > thanks for responding.
> > > deepak
> > >
> > > ------------- Original Message --------------
> > > "Robert McNulty Junior" <[email-masked]> wrote:
> > > To:"deepak shekhar" <[email-masked]>,
> > > <[email-masked]>
> > > From:"Robert McNulty Junior" <[email-masked]>
> > > Date:Sat, 30 Jun 2001 05:16:52 -0500
> > > Subject: RE: Installing cygwin gcc using sources
> > >
> > > Did you try configure?
> > >
> > > -----Original Message-----
> > > From: [email-masked]
> > > [mailto:[email-masked]]On Behalf Of deepak shekhar
> > > Sent: Saturday, June 30, 2001 2:49 AM
> > > To: [email-masked]
> > > Subject: Installing cygwin gcc using sources
> > >
> > > Hi! there
> > >
> > > I have installed the cygwin on my i586-pc having windows using the
> > binaries
> > > and the "setup.exe" program.
> > > Now i am trying to install binutils and gcc using the sources.
> > > My directory structure is like this
> > > /home/deepak/sources - this is the directory containing the sources
> > for
> > > binuitls and gcc.
> > > /home/deepak/build - object directory where i'll run configure and
> > make.
> > > /home/deepak/exe - install directory.
> > >
> > > The versions of binutils is binutils-20010425-2-src.tar-gz and of
> gcc
> > is
> > > gcc-2.95.3-4-src.tar.gz.
> > >
> > > I have untared these packages in the sources directory.
> > >
> > > In the build directory i run the configure for binutils by giving
> the
> > > following command.
> > > $cd build
> > >
> $../sources/binutils-20010425-2/configure --prefix=/home/deepak/exe -v
> > > Then i do a make.
> > >  $make all && make install
> > > The utilities in the binutils get installed.(including the as.exe
> and
> > > ld.exe).
> > > Now i run configure for the gcc by the following command.
> > >
> > > $../sources/gcc-2.95.3-4/configure --prefix=/home/deepak/exe -v
> > >
> > > The configure is fine.
> > > Now if do a make by givin
> >
> > ____________________________________________________
> > Buy Feng Shui Package for Rs. 151/- only, at
> http://shopping.rediff.com/shopping/fengshui_mailer.htm
> >
> >
> >
> 
> 
> ____________________________________________________
> Buy Feng Shui Package for Rs. 151/- only, at http://shopping.rediff.com/shopping/fengshui_mailer.htm
> 
> 
> 
> 
> --
> Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
> Bug reporting:         http://cygwin.com/bugs.html
> Documentation:         http://cygwin.com/docs.html
> FAQ:                   http://cygwin.com/faq/
> 

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/